import java.awt.BorderLayout;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JPanel;
import javax.swing.border.EmptyBorder;
import javax.swing.JLabel;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;


public class AboutDialog extends JDialog {

	private static final long serialVersionUID = 1L;
	private final JPanel contentPanel = new JPanel();

	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		try {
			AboutDialog dialog = new AboutDialog();
			dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
			dialog.setVisible(true);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	/**
	 * Create the dialog.
	 */
	public AboutDialog() {
		setTitle("About");
		setResizable(false);
		setBounds(100, 100, 278, 171);
		getContentPane().setLayout(new BorderLayout());
		contentPanel.setBorder(new EmptyBorder(5, 5, 5, 5));
		getContentPane().add(contentPanel, BorderLayout.CENTER);
		contentPanel.setLayout(null);
		
		JLabel lblAmazonSData = new JLabel("File data storage access demo");
		lblAmazonSData.setBounds(38, 22, 257, 14);
		contentPanel.add(lblAmazonSData);
		
		JLabel lblEldosSecureblackboxLibrary = new JLabel("EldoS SecureBlackbox library");
		lblEldosSecureblackboxLibrary.setBounds(48, 47, 181, 14);
		contentPanel.add(lblEldosSecureblackboxLibrary);
		
		JLabel lblCopyrightc = new JLabel("Copyright (C) 2002-2012 EldoS Corporation");
		lblCopyrightc.setBounds(22, 72, 241, 14);
		contentPanel.add(lblCopyrightc);
		
		JButton btnOk = new JButton("OK");
		btnOk.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dispose();
			}
		});
		btnOk.setBounds(78, 107, 91, 23);
		contentPanel.add(btnOk);
	}
}
