import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Insets;

import javax.swing.BorderFactory;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.border.EmptyBorder;
import javax.swing.border.EtchedBorder;

import SecureBlackbox.PGP.TElPGPKeyring;

public class PanelSelectSigners extends JPanel {
	static final long serialVersionUID = 7018489900189769113L;
	JPanel contentPanel;
	JPanel titlePanel;
	JTable table;
	JScrollPane scrollPane;
	
	public PanelSelectSigners(){
		contentPanel = new JPanel();
		contentPanel.setBounds(0, 0, 450, 252);
		contentPanel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));

		setLayout(new BorderLayout());

		JPanel secondaryPanel = new JPanel();
		secondaryPanel.setLayout(null);
		secondaryPanel.add(contentPanel);
		add(secondaryPanel, BorderLayout.CENTER);
        JLabel textLabel = new JLabel("<html>Step 4/6<br>Select signers</html>");
        textLabel.setBackground(Color.gray);
        textLabel.setBorder(new EmptyBorder(new Insets(10, 10, 10, 10)));
        textLabel.setOpaque(true);
        
        titlePanel = new JPanel();
        titlePanel.setLayout(new BorderLayout());
        titlePanel.setBackground(Color.gray);
        titlePanel.add(textLabel, BorderLayout.CENTER);
        add(titlePanel, BorderLayout.NORTH);	
		contentPanel.setLayout(null);
        
		table = new JTable(new KeyTableModel());
		
		table.setFillsViewportHeight(true);

		scrollPane = new JScrollPane(table);
		scrollPane.setLocation(0, 0);
		scrollPane.setSize(450, 200);
		scrollPane.setBorder(BorderFactory.createEtchedBorder(EtchedBorder.LOWERED));
		scrollPane.setPreferredSize(new Dimension(585, 200)); 
		
		contentPanel.add(scrollPane);
	}

	public void LoadKeys(){
		KeyTableModel model = (KeyTableModel)table.getModel();
		model.init(PanelSelectFiles.getKeys(), true);		
	}
	
	public TElPGPKeyring getKeys(){
		return ((KeyTableModel)table.getModel()).getKeys();
	}
	
	public boolean isFieldsValidated() {
		return true;
	}
}