

import java.awt.EventQueue;

import javax.swing.JDialog;
import java.awt.BorderLayout;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JPanel;
import javax.swing.JButton;
import javax.swing.JLabel;
import java.awt.Dimension;
import java.io.File;
import java.io.FileInputStream;
import java.net.URL;

import javax.swing.DefaultListModel;
import javax.swing.JFileChooser;
import javax.swing.JOptionPane;
import javax.swing.JPasswordField;
import javax.swing.JRadioButton;
import javax.swing.ButtonGroup;
import javax.swing.JScrollPane;
import javax.swing.JList;
import javax.swing.JTextField;
import javax.swing.JTextArea;
import javax.swing.filechooser.FileNameExtensionFilter;

import SecureBlackbox.Base.*;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;


public class Main extends JDialog {
	private static final long serialVersionUID = 1L;
	private JPanel panel1;
	private final ButtonGroup buttonGroup = new ButtonGroup();
	private JRadioButton radioButtonVerify;
	private JRadioButton radioButtonDecrypt;
	private JRadioButton radioButtonSign;
	private JRadioButton radioButtonEncrypt;
	private JPanel panel2;
	private JPanel panel3;
	private final ButtonGroup buttonGroup_1 = new ButtonGroup();
	private JPanel panel4;
	private final ButtonGroup buttonGroup_2 = new ButtonGroup();
	private JRadioButton radioButton1;
	private JRadioButton radioButton2;
	private JRadioButton radioButton11;
	private JRadioButton radioButton3;
	private JRadioButton radioButton4;
	private JRadioButton radioButton12;
	private JPanel panel5;
	private JTextField textBox4;
	private JTextField textBox5;
	private JTextArea textBox3;
	private JPanel panel7;
	private final ButtonGroup buttonGroup_3 = new ButtonGroup();
  
	final int OPERATION_ENCRYPTION = 0;
	final int OPERATION_SIGNING = 1;
	final int OPERATION_DECRYPTION = 2;
	final int OPERATION_VERIFICATION = 3;

	int currentPanel = 1;
    int operationType = OPERATION_ENCRYPTION;
	
	private TElMemoryCertStorage memoryCertStorage = null;
	private JLabel label2;
	private JPanel panel8;
	private JButton buttonBack;
	private JLabel label9;
	private JPanel panel6;
	private JButton buttonNext;
	private JRadioButton rbPublicKey;
	private JRadioButton rbMAC;
	private JLabel label4;
	private JLabel label8;
	private JButton buttonDoIt;
	private JRadioButton radioButton10;
	private JRadioButton radioButton9;
	private JRadioButton radioButton8;
	private JRadioButton radioButton7;
	private JRadioButton radioButton6;
	private JRadioButton radioButton5;
	private JList<String> listBox1;
	private JButton button6;
	private JButton button7;
	private JButton buttonCancel;
	private JLabel label5;
	private JTextArea textBoxResult;
	/**
	 * Launch the application.
	 */
	public static void main(String[] args) {
		EventQueue.invokeLater(new Runnable() {
			public void run() {
				try {
					Main dialog = new Main();
					dialog.setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
					dialog.setVisible(true);
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
		});
	}

	/**
	 * Create the dialog.
	 */
	public Main() {
		setTitle("Messages Demo");
		setBounds(100, 100, 507, 347);
		getContentPane().setLayout(null);
		
		JPanel panel = new JPanel();
		panel.setBounds(0, 280, 499, 40);
		panel.setPreferredSize(new Dimension(10, 40));
		getContentPane().add(panel);
		panel.setLayout(null);
		
		buttonBack = new JButton("< Back");
		buttonBack.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				backClick();
			}
		});
		buttonBack.setBounds(200, 5, 77, 23);
		panel.add(buttonBack);
		
		buttonNext = new JButton("Next >");
		buttonNext.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				nextClick();
			}
		});
		buttonNext.setBounds(287, 5, 77, 23);
		panel.add(buttonNext);
		
		buttonCancel = new JButton("Cancel");
		buttonCancel.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				dispose();
				System.exit(0);
			}
		});
		buttonCancel.setBounds(396, 5, 77, 23);
		panel.add(buttonCancel);
		
		panel1 = new JPanel();
		panel1.setBounds(150, 0, 349, 280);
		panel1.setVisible(false);
		
		panel8 = new JPanel();
		panel8.setBounds(150, 0, 349, 280);
		panel8.setVisible(false);
		getContentPane().add(panel8);
		panel8.setLayout(null);
		
		JLabel lblpleaseChooseThe = new JLabel("<html><body>Please choose the type of signature you would like to create:</body></html>");
		lblpleaseChooseThe.setBounds(10, 11, 329, 47);
		panel8.add(lblpleaseChooseThe);
		
		rbPublicKey = new JRadioButton("Public key signature");
		buttonGroup_3.add(rbPublicKey);
		rbPublicKey.setSelected(true);
		rbPublicKey.setBounds(20, 65, 231, 23);
		panel8.add(rbPublicKey);
		
		JLabel lbltheSourceData = new JLabel("<html><body>The source data is signed using your private key. Everyone who has your public certificate is able to verify whether the signature is correct.</body></html>");
		lbltheSourceData.setBounds(30, 95, 291, 56);
		panel8.add(lbltheSourceData);
		
		rbMAC = new JRadioButton("MAC (message authentication code)");
		buttonGroup_3.add(rbMAC);
		rbMAC.setBounds(20, 152, 301, 23);
		panel8.add(rbMAC);
		
		JLabel lblaMessageDigest = new JLabel("<html><body>A message digest is calculated over source data. The key used to calculate the digest is encrypted for each recipient. Therefore, only limited number of recipients are able to verify whether digest is valid. You do not need a private key in this case.</body></html>");
		lblaMessageDigest.setBounds(30, 182, 291, 87);
		panel8.add(lblaMessageDigest);
		getContentPane().add(panel1);
		panel1.setLayout(null);
		
		JLabel lblWhatKindOf = new JLabel("What kind of action would you like to perform?");
		lblWhatKindOf.setBounds(10, 29, 341, 14);
		panel1.add(lblWhatKindOf);
		
		radioButtonEncrypt = new JRadioButton("Encrypt file");
		radioButtonEncrypt.setSelected(true);
		buttonGroup.add(radioButtonEncrypt);
		radioButtonEncrypt.setBounds(41, 67, 109, 23);
		panel1.add(radioButtonEncrypt);
		
		radioButtonSign = new JRadioButton("Digitally sign file");
		buttonGroup.add(radioButtonSign);
		radioButtonSign.setBounds(41, 103, 127, 23);
		panel1.add(radioButtonSign);
		
		radioButtonDecrypt = new JRadioButton("Decrypt file");
		buttonGroup.add(radioButtonDecrypt);
		radioButtonDecrypt.setBounds(41, 141, 109, 23);
		panel1.add(radioButtonDecrypt);
		
		radioButtonVerify = new JRadioButton("Verify digital signature");
		buttonGroup.add(radioButtonVerify);
		radioButtonVerify.setBounds(41, 177, 184, 23);
		panel1.add(radioButtonVerify);
	
		panel2 = new JPanel();
		panel2.setBounds(150, 0, 349, 280);
		panel2.setVisible(false);
		getContentPane().add(panel2);
		panel2.setLayout(null);
		
		label2 = new JLabel(" ");
		label2.setBounds(10, 4, 329, 60);
		panel2.add(label2);
		
		JScrollPane scrollPane = new JScrollPane();
		scrollPane.setBounds(10, 71, 329, 161);
		panel2.add(scrollPane);
		
		listBox1 = new JList<String>(new DefaultListModel<String>());
		scrollPane.setViewportView(listBox1);
		
		JButton btnAddCertificate = new JButton("Add certificate");
		btnAddCertificate.addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				addCertificateClick();
			}
		});
		btnAddCertificate.setBounds(10, 246, 155, 23);
		panel2.add(btnAddCertificate);
		
		JButton btnRemoveCertificate = new JButton("Remove certificate");
		btnRemoveCertificate.addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				memoryCertStorage.remove(listBox1.getSelectedIndex());
				RefreshCertificateListbox();				
			}
		});
		btnRemoveCertificate.setBounds(175, 246, 164, 23);
		panel2.add(btnRemoveCertificate);
		
		panel3 = new JPanel();
		panel3.setBounds(150, 0, 349, 280);
		panel3.setVisible(false);
		getContentPane().add(panel3);
		panel3.setLayout(null);
		
		JLabel lblNewLabel = new JLabel("<html><body>Please chhose encryption algorithm which should be used to encrypt data</body></html>");
		lblNewLabel.setBounds(10, 11, 329, 51);
		panel3.add(lblNewLabel);
		
		radioButton5 = new JRadioButton("Triple DES (168 bits)");
		radioButton5.setSelected(true);
		buttonGroup_1.add(radioButton5);
		radioButton5.setBounds(46, 58, 179, 23);
		panel3.add(radioButton5);
		
		radioButton6 = new JRadioButton("RC 4 (128 bits)");
		buttonGroup_1.add(radioButton6);
		radioButton6.setBounds(46, 83, 109, 23);
		panel3.add(radioButton6);
		
		radioButton7 = new JRadioButton("RC 4 (40 bits)");
		buttonGroup_1.add(radioButton7);
		radioButton7.setBounds(46, 109, 109, 23);
		panel3.add(radioButton7);
		
		radioButton8 = new JRadioButton("RC 2 (128 bits)");
		buttonGroup_1.add(radioButton8);
		radioButton8.setBounds(46, 135, 109, 23);
		panel3.add(radioButton8);
		
		radioButton9 = new JRadioButton("AES (128 bits)");
		buttonGroup_1.add(radioButton9);
		radioButton9.setBounds(46, 161, 109, 23);
		panel3.add(radioButton9);
		
		radioButton10 = new JRadioButton("AES (256 bits)");
		buttonGroup_1.add(radioButton10);
		radioButton10.setBounds(46, 187, 109, 23);
		panel3.add(radioButton10);
		
		panel4 = new JPanel();
		panel4.setBounds(150, 0, 349, 280);
		panel4.setVisible(false);
		getContentPane().add(panel4);
		panel4.setLayout(null);
		
		label4 = new JLabel("<html><body>Please choose hash function which should be used to calculate message digest on input data</body></html>");
		label4.setBounds(10, 11, 329, 49);
		panel4.add(label4);
		
		radioButton1 = new JRadioButton("MD5");
		buttonGroup_2.add(radioButton1);
		radioButton1.setSelected(true);
		radioButton1.setBounds(60, 67, 109, 23);
		panel4.add(radioButton1);
		
		radioButton2 = new JRadioButton("SHA1");
		buttonGroup_2.add(radioButton2);
		radioButton2.setBounds(60, 93, 109, 23);
		panel4.add(radioButton2);
		
		radioButton11 = new JRadioButton("SHA256");
		buttonGroup_2.add(radioButton11);
		radioButton11.setBounds(60, 119, 109, 23);
		panel4.add(radioButton11);
		
		radioButton3 = new JRadioButton("SHA384");
		buttonGroup_2.add(radioButton3);
		radioButton3.setBounds(60, 145, 109, 23);
		panel4.add(radioButton3);
		
		radioButton4 = new JRadioButton("SHA512");
		buttonGroup_2.add(radioButton4);
		radioButton4.setBounds(60, 171, 109, 23);
		panel4.add(radioButton4);
		
		radioButton12 = new JRadioButton("HMAC-SHA1");
		buttonGroup_2.add(radioButton12);
		radioButton12.setBounds(60, 197, 109, 23);
		panel4.add(radioButton12);
		
		panel5 = new JPanel();
		panel5.setBounds(150, 0, 349, 280);
		panel5.setVisible(false);
		getContentPane().add(panel5);
		panel5.setLayout(null);
		
		label9 = new JLabel(" ");
		label9.setBounds(10, 11, 329, 54);
		panel5.add(label9);
		
		JLabel lblInputFile = new JLabel("Input file");
		lblInputFile.setBounds(10, 98, 207, 14);
		panel5.add(lblInputFile);
		
		textBox4 = new JTextField();
		textBox4.setBounds(10, 122, 272, 20);
		panel5.add(textBox4);
		textBox4.setColumns(10);
		
		button6 = new JButton("...");
		button6.addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				textBox4.setText(getOpenFileName());
			}
		});
		button6.setBounds(292, 121, 47, 23);
		panel5.add(button6);
		
		JLabel lblOutputFile = new JLabel("Output file");
		lblOutputFile.setBounds(10, 166, 272, 14);
		panel5.add(lblOutputFile);
		
		textBox5 = new JTextField();
		textBox5.setBounds(10, 191, 272, 20);
		panel5.add(textBox5);
		textBox5.setColumns(10);
		
		button7 = new JButton("...");
		button7.addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				textBox5.setText(getSaveFileName());
			}
		});
		button7.setBounds(292, 191, 47, 23);
		panel5.add(button7);
		
		panel6 = new JPanel();
		panel6.setBounds(150, 0, 349, 280);
		panel6.setVisible(false);
		getContentPane().add(panel6);
		panel6.setLayout(null);
		
		label8 = new JLabel(" ");
		label8.setBounds(10, 11, 329, 59);
		panel6.add(label8);
		
		JScrollPane scrollPane_1 = new JScrollPane();
		scrollPane_1.setBounds(10, 77, 329, 143);
		panel6.add(scrollPane_1);
		
		textBox3 = new JTextArea();
		scrollPane_1.setViewportView(textBox3);
		
		buttonDoIt = new JButton("New button");
		buttonDoIt.addMouseListener(new MouseAdapter() {
			@Override
			public void mousePressed(MouseEvent e) {
				switch(operationType)
				{
					case OPERATION_ENCRYPTION:
						DoEncryption();
						break;
					case OPERATION_SIGNING:
						DoSigning();
						break;
					case OPERATION_DECRYPTION:
						DoDecryption();
						break;
					case OPERATION_VERIFICATION:
						DoVerification();
						break;
				}					
			}
		});
		buttonDoIt.setBounds(131, 231, 91, 23);
		panel6.add(buttonDoIt);
		
		panel7 = new JPanel();
		panel7.setBounds(150, 0, 349, 280);
		panel7.setVisible(false);
		getContentPane().add(panel7);
		panel7.setLayout(null);
		
		label5 = new JLabel(" ");
		label5.setBounds(10, 11, 329, 57);
		panel7.add(label5);
		
		JScrollPane scrollPane_2 = new JScrollPane();
		scrollPane_2.setBounds(10, 79, 329, 190);
		panel7.add(scrollPane_2);
		
		textBoxResult = new JTextArea();
		scrollPane_2.setViewportView(textBoxResult);
		
		JLabel lblImg = new JLabel();
		lblImg.setBounds(0, 0, 150, 280);
		lblImg.setIcon(getIcon("/west"));
		lblImg.setPreferredSize(new Dimension(150, 10));
		getContentPane().add(lblImg);
		
		init();
	}
	
	protected void addCertificateClick() {
		String fileName = openCertFileName();
		if (fileName.length() > 0)
		{	
			TElX509Certificate cert = new TElX509Certificate(null);
            
			int err = cert.loadFromFileAuto(fileName, requestPassword());
			if (err != 0)
			{
				showErrorMessage("Certificate was not loaded: " + err, "Messages Demo");
				return;
			}
			
			boolean bKeyLoaded = false;

			if (operationType == OPERATION_DECRYPTION || 
				operationType == OPERATION_SIGNING) 
			{
				TSBInteger len = new TSBInteger();
				byte[] buf = new byte[0];
				cert.saveKeyToBuffer(buf, len);
				if (len.value == 0)
				{
					fileName = openDecCertFileName();
					if (fileName.length() > 0)
					{
						TElFileStream fs = null;
						try
						{
							File fi = new File(fileName);
							buf = new byte[(int)fi.length()];
							fs = new TElFileStream(fileName, "r", true);
							fs.read(buf, 0, buf.length);					
						}
						catch(Exception ex)
						{
							return; 
						}
						finally
						{
							if (fs != null)
								fs.Free();
						}

						if (getFilterIndex(fileName) == 1)
						{
							cert.loadKeyFromBufferPEM(buf, requestPassword());
						}
						else
							cert.loadKeyFromBuffer(buf);


						len.value = 0;
						buf = new byte[0];
						cert.saveKeyToBuffer(buf, len);
						if (len.value > 0)
							bKeyLoaded = true;
					}
				}
				else
					bKeyLoaded = true;
			
			}
			

			if (operationType == OPERATION_DECRYPTION && !bKeyLoaded)
			{
				showErrorMessage("Private key was not loaded, certificate ignored.", 
						"Messages Demo");
			}
			else
			{
				memoryCertStorage.add(cert, true);
				RefreshCertificateListbox();
			}
		}
	}

	private void RefreshCertificateListbox()
	{
		((DefaultListModel<String>)listBox1.getModel()).removeAllElements();
		
		for (int i = 0; i < memoryCertStorage.getCount(); i++)
			addListItem(listBox1, memoryCertStorage.getCertificate(i).getSubjectName().CommonName);
	}
	
	private void addListItem(JList<String> list, String m) {
		DefaultListModel<String> model = ((DefaultListModel<String>)list.getModel());
		model.add(model.size(), m);
	}
	
	private int getFilterIndex(String certFileName) {
		String ext = extension(certFileName).toLowerCase();
		if (ext.compareTo("pem") == 0) return 1;
		if (ext.compareTo("der") == 0) return 2;
		return 3;
	}

	public String extension(String fullPath) {
	    int dot = fullPath.lastIndexOf(".");
	    return fullPath.substring(dot + 1);
	}
	
	private void showErrorMessage(String msg, String cap) {
		JOptionPane.showMessageDialog(null, msg, cap, JOptionPane.ERROR_MESSAGE);
	}

	protected String getSaveFileName() {
		JFileChooser fc = new JFileChooser();
			    
	    int returnVal = fc.showSaveDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}
	
	protected String getOpenFileName() {
		JFileChooser fc = new JFileChooser();
			    
	    int returnVal = fc.showOpenDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}
	
	private String openCertFileName() {
		JFileChooser fc = new JFileChooser();
		fc.setDialogTitle("Select certificate file");

		FileNameExtensionFilter filter = new FileNameExtensionFilter("( PEM | CER | PFX )-encoded certificate", "pem", "cer", "pfx");
		fc.setFileFilter(filter);

	    int returnVal = fc.showOpenDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}


	String openDecCertFileName(){
		JFileChooser fc = new JFileChooser();
		fc.setDialogTitle("Select the corresponding private key file");

		FileNameExtensionFilter filter = new FileNameExtensionFilter("( PEM | DER )-encoded certificate", "pem", "der");
		fc.setFileFilter(filter);

	    int returnVal = fc.showOpenDialog(this);
		if (returnVal == JFileChooser.APPROVE_OPTION)
	        return fc.getSelectedFile().getPath();

	    return "";
	}

 	private String requestPassword() {
		JPasswordField jpf = new JPasswordField();
		int result = JOptionPane.showConfirmDialog(null, jpf, "Please enter password", JOptionPane.OK_CANCEL_OPTION);
		if (result == 0)
			return new String(jpf.getPassword());
		return "";
	}
	
	protected void backClick() {
		if (currentPanel == 2)
		{
			panel2.setVisible(false);
			if (operationType == OPERATION_SIGNING) 
			{
				currentPanel = 8;
				panel8.setVisible(true);
			} 
			else 
			{
				currentPanel = 1;
				panel1.setVisible(true);
			}
			buttonBack.setEnabled(false);
		} 
		else if (currentPanel == 8) 
		{
			panel8.setVisible(false);
			currentPanel = 1;
			panel1.setVisible(true);
			buttonBack.setEnabled(false);
		}
		else if (currentPanel == 3)
		{
			panel3.setVisible(false);
			currentPanel = 2;
			panel2.setVisible(true);
		}
		else if (currentPanel == 4)
		{
			panel4.setVisible(false);
			currentPanel = 2;
			panel2.setVisible(true);
		}
		else if (currentPanel == 5)
		{
			JPanel prevPanel = null;
			switch(operationType)
			{
				case OPERATION_ENCRYPTION:
					prevPanel = panel3;
					currentPanel = 3;
					break;
				case OPERATION_SIGNING:
					prevPanel = panel4;
					currentPanel = 4;
					break;
				case OPERATION_DECRYPTION:
					prevPanel = panel2;
					currentPanel = 3;
					break;
				case OPERATION_VERIFICATION:
					prevPanel = panel2;
					currentPanel = 2;
					break;
			}
			panel5.setVisible(false);
			prevPanel.setVisible(true);
		}
		else if (currentPanel == 6)
		{
			panel6.setVisible(false);
			currentPanel = 5;
			panel5.setVisible(true);
			buttonNext.setEnabled(true);
		}
	}

	protected void nextClick() {
		JPanel nextPanel = null;
		if (currentPanel == 1)
		{
			if (radioButtonEncrypt.isSelected())
			{
				operationType = OPERATION_ENCRYPTION;
				label2.setText("<html><body>Please choose certificates, which may be used to decrypt encrypted message</body></html>");
			}
			else if (radioButtonSign.isSelected())
			{
				operationType = OPERATION_SIGNING;
				label2.setText("<html><body>Please choose certificates which should be used to sign the file. At least one certificate must be loaded with corresponding private key</body></html>");
			}
			else if (radioButtonDecrypt.isSelected())
			{
				operationType = OPERATION_DECRYPTION;
				label2.setText("<html><body>Please select certificates which should be used to decrypt message. Each certificate should be loaded with corresponding private key</body></html>");
			}
			else if (radioButtonVerify.isSelected())
			{
				operationType = OPERATION_VERIFICATION;
				label2.setText("<html><body>Please select certificates which should be used to verify digital signature. Note, that in most cases signer's certificates are included in signed message, so you may leave certificate list empty</body></html>");
			}
			panel1.setVisible(false);
			if (operationType != OPERATION_SIGNING) 
			{
				nextPanel = panel2;
				currentPanel = 2;
				panel2.setVisible(true);
			} 
			else 
			{
				nextPanel = panel8;
				currentPanel = 8;
				panel8.setVisible(true);				
			}
			buttonBack.setEnabled(true);
		}
		else if (currentPanel == 2)
		{
			if (operationType != OPERATION_VERIFICATION && 
				memoryCertStorage.getCount() == 0)
			{
				showMessage("No certificate selected. Please select one.", 
					"Messages Demo");
				return;
			}
	
			switch(operationType)
			{
				case OPERATION_ENCRYPTION:
					nextPanel = panel3;
					label9.setText("<html><body>Please select file to encrypt and file to write encrypted data</body></html>");
					currentPanel = 3;
					panel3.setVisible(true);					
					break;
				case OPERATION_SIGNING:
					nextPanel = panel4;
					radioButton1.setEnabled(rbPublicKey.isSelected());
					radioButton2.setEnabled(rbPublicKey.isSelected());
					radioButton11.setEnabled(rbPublicKey.isSelected());
					radioButton3.setEnabled(rbPublicKey.isSelected());
					radioButton4.setEnabled(rbPublicKey.isSelected());
					radioButton12.setEnabled(rbMAC.isSelected());
					if (rbPublicKey.isSelected()) 
					{
						radioButton1.setSelected(true);
					} 
					else 
					{
						radioButton12.setSelected(true);
					}
												 
					label9.setText("<html><body>Please select file to sign and file where to write signed data</body></html>");
					currentPanel = 4;
					panel4.setVisible(true);										
					break;
				case OPERATION_DECRYPTION:
					nextPanel = panel5;
					label9.setText("<html><body>Please select input (encrypted) file and file where to write decrypted data</body></html>");
					currentPanel = 5;
					panel5.setVisible(true);										
					break;
				case OPERATION_VERIFICATION:
					nextPanel = panel5;
					label9.setText("<html><body>Please select file with a signed message and file where to put original message</body></html>");
					currentPanel = 5;
					panel5.setVisible(true);										
					break;
			}
			panel2.setVisible(false);
		}
		else if (currentPanel == 3 || currentPanel == 4)
		{
			panel3.setVisible(false);
			panel4.setVisible(false);

			currentPanel = 5;
			panel5.setVisible(true);
		}
		else if (currentPanel == 5)
		{
			if (textBox4.getText().length() == 0 || textBox5.getText().length() == 0)
			{
				showMessage("You must select both input and output files.", 
					"Messages Demo");
				return;
			}

			if (PrepareLastPanel())
			{
				panel5.setVisible(false);
				currentPanel = 6;
				panel6.setVisible(true);
				buttonNext.setEnabled(false);
			}
		} 
		else if (currentPanel == 8) 
		{
			panel8.setVisible(false);
			currentPanel = 2;
			panel2.setVisible(true);
			if (rbPublicKey.isSelected()) 
			{

			}
		}		
	}

	private void init() {
		#error Please pick the evaluation license key from <SecureBlackbox>\LicenseKey.txt file and place it here. If the evaluation key expires, you can request an extension using the form on https://www.eldos.com/sbb/keyreq/
		SBUtils.setLicenseKey("<put the key here>");
		
		currentPanel = 1;
		panel1.setVisible(true);
		memoryCertStorage = new TElMemoryCertStorage(null);
	}

	private Icon getIcon(String name) {
		URL resPath = getClass().getResource(name + ".png");
		if (resPath == null) return new ImageIcon();
		return new ImageIcon(resPath);
	}	
	
	private void showMessage(String msg, String cap) {
		JOptionPane.showMessageDialog(null, msg, cap, JOptionPane.INFORMATION_MESSAGE);		
	}
	
	private boolean PrepareLastPanel()
	{
		StringBuilder sb = new StringBuilder();
		String certsInfo = null;
		switch(operationType)
		{
			case OPERATION_ENCRYPTION:
				label8.setText("<html><body>Ready to start encryption. Please check all the parameters to be valid</body></html>");
				buttonDoIt.setText("Encrypt");
				sb.append("File to encrypt: ");
				sb.append(textBox4.getText());
				sb.append("\r\n");
				sb.append("File to write decrypted data: ");
				sb.append(textBox5.getText());
				sb.append("\r\n");
                sb.append("Certificates:\r\n");
				certsInfo = GetCertificatesInfo(memoryCertStorage);
				if (certsInfo.length() == 0)
                    sb.append("-----------\r\n");
				else
					sb.append(certsInfo);
				sb.append("Algorithm: ");
				sb.append(GetEncryptAlgorithmName());
				textBox3.setText(sb.toString());
				break;
			case OPERATION_SIGNING:
				label8.setText("<html><body>Ready to start signing. Please check that all signing options are correct</body></html>");
                buttonDoIt.setText("Sign");
                sb.append("File to sign: ");
				sb.append(textBox4.getText());
				sb.append("\r\n");
				sb.append("File to write signed data: ");
				sb.append(textBox5.getText());
				sb.append("\r\n");
				if (rbPublicKey.isSelected()) 
				{
					sb.append("Signature type: PUBLIC KEY");
				} 
				else 
				{
					sb.append("Signature type: MAC");
				}
				sb.append("\r\n");
				sb.append("Certificates:\r\n");
				certsInfo = GetCertificatesInfo(memoryCertStorage);
				if (certsInfo.length() == 0)
					sb.append("-----------\r\n\r\n");
				else
					sb.append(certsInfo);
				textBox3.setText(sb.toString());
				break;
			case OPERATION_DECRYPTION:
				label8.setText("<html><body>Ready to start decryption. Please check that all decryption options are correct</body></html>");
				buttonDoIt.setText("Decrypt");
				sb.append("File to decrypt: ");
				sb.append(textBox4.getText());
				sb.append("\r\n");
				sb.append("File to write decrypted data: ");
				sb.append(textBox5.getText());
				sb.append("\r\n");
				sb.append("Certificates:\r\n");
				certsInfo = GetCertificatesInfo(memoryCertStorage);
				if (certsInfo.length() == 0)
					sb.append("-----------\r\n\r\n");
				else
					sb.append(certsInfo);
				textBox3.setText(sb.toString());
				break;
			case OPERATION_VERIFICATION:
				label8.setText("<html><body>Ready to start verifying. Please check that all options are correct</body></html>");
				buttonDoIt.setText("Verify");
				sb.append("File to verify: ");
				sb.append(textBox4.getText());
				sb.append("\r\n");
				sb.append("File to write verified data: ");
				sb.append(textBox5.getText());
				sb.append("\r\n");
				sb.append("Certificates:\r\n");
				certsInfo = GetCertificatesInfo(memoryCertStorage);
				if (certsInfo.length() == 0)
					sb.append("-----------\r\n\r\n");
				else
					sb.append(certsInfo);
				textBox3.setText(sb.toString());
				break;
		}
		return true;
	}	

	private String GetEncryptAlgorithmName()
	{
		if (radioButton5.isSelected())
			return radioButton5.getText();
		else if (radioButton6.isSelected())
			return radioButton6.getText();
		else if (radioButton7.isSelected())
			return radioButton7.getText();
		else if (radioButton8.isSelected())
			return radioButton8.getText();
		else if (radioButton9.isSelected())
			return radioButton9.getText();
		else /*if (radioButton10.isSelected())*/
			return radioButton10.getText();
	}

	static private String GetCertificatesInfo(TElCustomCertStorage storage)
	{
		StringBuilder sb = new StringBuilder(); 
		int iCount = storage.getCount();
		for (int i = 0; i < iCount; i++)
		{
			TElX509Certificate cert = storage.getCertificate(i);
			sb.append("Certificate #");
			sb.append(i + 1);
			sb.append("\r\n");
			sb.append("Issuer: C=");
			sb.append(cert.getIssuerName().Country);
			sb.append(", L=");
			sb.append(cert.getIssuerName().Locality);
			sb.append(", O=");
			sb.append(cert.getIssuerName().Organization);
			sb.append(", CN=");
			sb.append(cert.getIssuerName().CommonName);
			sb.append("\r\n");
			sb.append("Subject: C=");
			sb.append(cert.getSubjectName().Country);
			sb.append(", L=");
			sb.append(cert.getSubjectName().Locality);
			sb.append(", O=");
			sb.append(cert.getSubjectName().Organization);
			sb.append(", CN=");
			sb.append(cert.getSubjectName().CommonName);
			sb.append("\r\n");

			byte[] buf = new byte[0];
			TSBInteger len = new TSBInteger();
			cert.saveKeyToBuffer(buf, len);
			if (len.value > 0)
				sb.append("Private key available\r\n");
			else
				sb.append("Private key is not available\r\n");
		}
		return sb.toString();
	}
	
	private byte[] ReadSource()
	{
		byte[] buf = null;
		TElFileStream fs = null;
		try
		{
			File fi = new File(textBox4.getText());
			buf = new byte[(int)fi.length()];
			fs = new TElFileStream(textBox4.getText(), "r", true);
			fs.read(buf, 0, buf.length);					
		}
		catch(Exception e)
		{
			showMessage(e.getMessage(), "Messages Demo");
			return null; 
		}
		finally
		{
			if (fs != null)
				fs.Free();
		}
		return buf;
	}

	private void WriteDestination(byte[] buf, TSBInteger size)
	{
		TElFileStream fs = null;
		try
		{
			fs = new TElFileStream(textBox5.getText(), "rw", true);
			fs.write(buf, 0, size.value);					
		}
		catch(Exception e)
		{
			showErrorMessage(e.getMessage(), "Messages Demo");
			return; 
		}
		finally
		{
			if (fs != null)
				fs.Free();
		}	
	}

	private void DoEncryption()
	{
		TElMessageEncryptor encryptor = new TElMessageEncryptor(null);
		encryptor.setCertStorage(memoryCertStorage);
        SetEncryptAlgorithm(encryptor);

		byte[] buf = ReadSource();
		if (buf == null)
			return;
		
		buttonBack.setEnabled(false);
		buttonCancel.setEnabled(false);
        buttonDoIt.setEnabled(false);

		byte[] outbuf = new byte[0];
		TSBInteger iSize = new TSBInteger();
        encryptor.encrypt(buf, outbuf, iSize);
        outbuf = new byte[iSize.value];
        
		int i = encryptor.encrypt(buf, outbuf, iSize);
		if (i == 0)
			WriteDestination(outbuf, iSize);

		if (i == 0)
			label5.setText("The operation was completed successfully");
		else
			label5.setText("Error #" + i + " occured while encrypting");
		panel6.setVisible(false);
		panel7.setVisible(true);

		buttonCancel.setText("Finish");
		buttonCancel.setEnabled(true);
	}

	private void SetEncryptAlgorithm(TElMessageEncryptor enc)
	{
		if (radioButton5.isSelected())
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_3DES);
		}
		else if (radioButton6.isSelected())
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_RC4);
			enc.setBitsInKey(128);
		}
		else if (radioButton7.isSelected())
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_RC4);
			enc.setBitsInKey(40);
		}
		else if (radioButton8.isSelected())
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_RC2);
			enc.setBitsInKey(128);
		}
		else if (radioButton9.isSelected())
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_AES128);
		}
		else /*if (radioButton10.isSelected())*/
		{
			enc.setAlgorithm(SBConstants.SB_ALGORITHM_CNT_AES256);
		}
	}

	private void SetSignerAlgorithm(TElMessageSigner signer)
	{
		if (radioButton1.isSelected())
			signer.setHashAlgorithm(SBConstants.SB_ALGORITHM_DGST_MD5);
		else if (radioButton2.isSelected())
			signer.setHashAlgorithm(SBConstants.SB_ALGORITHM_DGST_SHA1);
		else if (radioButton11.isSelected())
			signer.setHashAlgorithm(SBConstants.SB_ALGORITHM_DGST_SHA256);
		else if (radioButton3.isSelected())
			signer.setHashAlgorithm(SBConstants.SB_ALGORITHM_DGST_SHA384);
		else if (radioButton4.isSelected())
			signer.setHashAlgorithm(SBConstants.SB_ALGORITHM_DGST_SHA512);

		signer.setMacAlgorithm(SBConstants.SB_ALGORITHM_MAC_HMACSHA1);
	}

	private void DoSigning()
	{
		TElMessageSigner signer = new TElMessageSigner(null);
        signer.setCertStorage(memoryCertStorage);
		signer.setRecipientCerts(memoryCertStorage);
		if (rbPublicKey.isSelected()) 
		{
			signer.setSignatureType(TSBMessageSignatureType.mstPublicKey);
		} 
		else 
		{
			signer.setSignatureType(TSBMessageSignatureType.mstMAC);
		}
		SetSignerAlgorithm(signer);

		byte[] buf = ReadSource();
		if (buf == null)
			return;
		
		buttonBack.setEnabled(false);
		buttonCancel.setEnabled(false);
		buttonDoIt.setEnabled(false);
	
		TSBInteger iSize = new TSBInteger();
		byte[] outbuf = new byte[0];
		signer.sign(buf, outbuf, iSize, false);
        outbuf = new byte[iSize.value];
        int i = signer.sign(buf, outbuf, iSize, false);
		if (i == 0)
		{
			WriteDestination(outbuf, iSize);
			label5.setText("The operation was completed successfully");
		}
		else
			label5.setText("Error #" + i + " occured while signing");

		panel6.setVisible(false);
		panel7.setVisible(true);

		buttonCancel.setText("Finish");
		buttonCancel.setEnabled(true);
	}
	
	private void DoDecryption()
	{
		TElMessageDecryptor decr = new TElMessageDecryptor(null);
        decr.setCertStorage(memoryCertStorage);
		
		byte[] buf = ReadSource();
		if (buf == null)
			return;
		
		buttonBack.setEnabled(false);
		buttonCancel.setEnabled(false);
		buttonDoIt.setEnabled(false);

		TSBInteger iSize = new TSBInteger();
		byte[] outbuf = new byte[0];
		decr.decrypt(buf, outbuf, iSize);
        outbuf = new byte[iSize.value];
        int i = decr.decrypt(buf, outbuf, iSize);
		if (i == 0)
		{
			WriteDestination(outbuf, iSize);
			String tmp = "Successfully decrypted\r\n";
			tmp += "Algorithm: ";
			tmp += GetAlgorithmName(decr.getAlgorithm());
			label5.setText(tmp);
		}
		else
			label5.setText("Error #" + i + " occured while decrypting");

		panel6.setVisible(false);
		panel7.setVisible(true);

		buttonCancel.setText("Finish");
		buttonCancel.setEnabled(true);
	}
	
	private String GetAlgorithmName(int iAlgId)
	{
		switch(iAlgId)
		{
			case SBConstants.SB_ALGORITHM_CNT_3DES: 
				return "Triple DES";
			case SBConstants.SB_ALGORITHM_CNT_RC4: 
				return "RC4";
			case SBConstants.SB_ALGORITHM_CNT_RC2: 
				return "RC2";
			case SBConstants.SB_ALGORITHM_CNT_AES128: 
				return "AES128";
			case SBConstants.SB_ALGORITHM_CNT_AES256: 
				return "AES256";
			case SBConstants.SB_ALGORITHM_DGST_MD5: 
				return "MD5";
			case SBConstants.SB_ALGORITHM_DGST_SHA1: 
				return "SHA1";
			case SBConstants.SB_ALGORITHM_DGST_SHA256: 
				return "SHA256";
			case SBConstants.SB_ALGORITHM_DGST_SHA384: 
				return "SHA384";
			case SBConstants.SB_ALGORITHM_DGST_SHA512: 
				return "SHA512";
			case SBConstants.SB_ALGORITHM_MAC_HMACSHA1: 
				return "HMAC-SHA1";
			default:
				return "Unknown";
		}
	}

	private void DoVerification()
	{
		TElMessageVerifier v = new TElMessageVerifier(null);
		v.setCertStorage(memoryCertStorage);
		
		byte[] buf = ReadSource();
		if (buf == null)
			return;
		
		buttonBack.setEnabled(false);
		buttonCancel.setEnabled(false);
		buttonDoIt.setEnabled(false);
	
		TSBInteger iSize = new TSBInteger();
		byte[] outbuf = new byte[0];
		v.verify(buf, outbuf, iSize);
		outbuf = new byte[iSize.value];
		int i = v.verify(buf, outbuf, iSize);
		if (i == 0)
		{
			WriteDestination(outbuf, iSize);
			label5.setText("Verifying results:");
			
			StringBuilder sb = new StringBuilder();
			sb.append("Successfully verified!\r\n");
			if (v.getSignatureType() == TSBMessageSignatureType.mstMAC) 
			{
                sb.append("Signature type: MAC\r\n");
			} 
			else 
			{
				sb.append("Signature type: PUBLIC KEY\r\n");
			}
			sb.append("Hash Algorithm: ");
            sb.append(GetAlgorithmName(v.getHashAlgorithm()));
			if (v.getSignatureType() == TSBMessageSignatureType.mstMAC) {
				sb.append("\r\n");
				sb.append("MAC Algorithm: ");
                sb.append(GetAlgorithmName(v.getMacAlgorithm()));
			}
			sb.append("\r\n");
            sb.append("Certificates contained in message:\r\n");
            sb.append(GetCertificatesInfo(v.getCertificates()));
            textBoxResult.setText(sb.toString());
			textBoxResult.setVisible(true);
		}
		else
			label5.setText("Verification failed with error #" + i);

		panel6.setVisible(false);
		panel7.setVisible(true);

		buttonCancel.setText("Finish");
		buttonCancel.setEnabled(true);
	}
	
}
